----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 04/30/2018 02:15:33 PM
-- Design Name: 
-- Module Name: Sim_Inverter - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Sim_Inverter is

end Sim_Inverter;

architecture Behavioral of Sim_Inverter is

COMPONENT   Inverter  
Port ( i1 : in STD_LOGIC;
           o1 : out STD_LOGIC);
END COMPONENT;

SIGNAL i1_sig:STD_LOGIC;
SIGNAL o1_sig:STD_LOGIC;

begin

u1 : Inverter PORT MAP(
    i1 => i1_sig,
    o1 => o1_sig
);

process
begin
    i1_sig <='0';
    WAIT FOR 20ns;
    i1_sig <='1';
    WAIT FOR 20ns;
    i1_sig <='0';
    WAIT FOR 10ns;
    i1_sig <='1';
    WAIT FOR 30ns;
    i1_sig <='0';
    WAIT FOR 50ns;
end process;


end Behavioral;
