----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 04/30/2018 02:09:09 PM
-- Design Name: 
-- Module Name: Inverter - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Inverter is
GENERIC(rise: TIME:=2ns; fall: TIME:=3ns);
    Port ( i1 : in STD_LOGIC;
           o1 : out STD_LOGIC
         );
end Inverter;

architecture Behavioral of Inverter is
SIGNAL internal:STD_LOGIC;
begin
    internal <=NOT i1;
    o1<= internal AFTER rise when internal='1' ELSE
                            internal AFTER fall;
end Behavioral;
