----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 04/30/2018 02:40:56 PM
-- Design Name: 
-- Module Name: mux2to1 - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity mux2to1 is
    Port ( A : in STD_LOGIC;
           B : in STD_LOGIC;
           S : in STD_LOGIC;
           F : out STD_LOGIC);
end mux2to1;

architecture Behavioral of mux2to1 is

COMPONENT n1 
PORT (i1: IN STD_LOGIC; o1: OUT STD_LOGIC);
END COMPONENT;

COMPONENT n2 
PORT (i1, i2: IN STD_LOGIC; o1: OUT STD_LOGIC);
END COMPONENT;

FOR ALL: n1 USE ENTITY WORK.Inverter;
FOR ALL: n2 USE ENTITY WORK.nand2_ent;

SIGNAL S_bar, Nand1_o, Nand2_o: STD_LOGIC;
begin

g0: n1 PORT MAP (S, S_bar);
g1: n2 PORT MAP (A, S_bar, Nand1_o);
g2: n2 PORT MAP (S, B, Nand2_o);
g3: n2 PORT MAP (Nand1_o, Nand2_o, F);

end Behavioral;